For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact us
DocumentationAPI Reference
DocumentationAPI Reference
  • Authentication
    • GETVerify API key
  • Documents
    • POSTUpload document
    • POSTUpload document into folder
    • GETList documents
    • GETList documents in folder
    • GETGet document
    • POSTCreate folder
    • DELDelete folder
    • POSTMove documents between folders
    • DELDelete documents
  • Workspaces
    • GETGet workspace
    • DELDelete workspace
    • POSTUpdate workspace
    • POSTAdd or remove workspace embeddings
    • GETList workspace tools
    • POSTAttach tool to workspace
    • DELDetach tool from workspace
  • Number Requests
    • GETList number requests
    • POSTRequest a phone number
    • GETGet number request
  • Numbers
    • GETList phone numbers
    • GETList phone numbers in organization
  • Organizations
    • GETList organizations
    • POSTCreate organization
    • GETGet organization
    • DELDelete organization
    • POSTUpdate organization
    • GETList workspaces in organization
    • POSTCreate workspace
    • GETList organization tools
    • POSTCreate organization tool
    • DELDelete organization tool
    • PATCHUpdate organization tool
  • Accounts
    • GETList accounts
    • POSTCreate account
  • Voice Integration
    • GETGet voice assistant config
    • PATCHUpdate voice assistant config
    • GETGet voice integration catalog
    • POSTProvision voice integration
    • GETList voice call logs
    • GETList workspace voice call logs
  • Whats App Integration
    • POSTMint a WhatsApp Business connect page token
    • GETRender WhatsApp Business connect iframe page
    • POSTFinalize WhatsApp Business onboarding (iframe-initiated)
    • DELDisconnect WhatsApp Business integration
Contact us
LogoLogo
Documents

Delete documents

DELETE
https://staging-app.lumenia.net/api/v1/org/:orgSlug/document/remove-files
DELETE
/api/v1/org/:orgSlug/document/remove-files
$curl -X DELETE https://staging-app.lumenia.net/api/v1/org/orgSlug/document/remove-files \
> -H "X-Account-Id: X-Account-Id" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "files": [
> "lumenia/custom-documents/file.txt-fc4beeeb-e436-454d-8bb4-e5b8979cb48f.json"
> ]
>}'
1{
2 "success": true,
3 "message": "Documents removed successfully",
4 "purged": [
5 "lumenia/custom-documents/file.txt-fc4beeeb-e436-454d-8bb4-e5b8979cb48f.json"
6 ]
7}

Permanently remove one or more documents from an organization. Every entry in files must be a full org-prefixed docpath belonging to the organization identified by {orgSlug}. Embedded documents are unembed from all workspaces before deletion.

Was this page helpful?
Previous

Get workspace

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

orgSlugstringRequired

Hex-encoded slug of the organization

Headers

X-Account-IdstringRequired
Account uuid context. Must belong to the API key's partner. Routes that target an org additionally require the org to belong to this account.

Request

Array of full org-prefixed document paths to permanently remove.

fileslist of stringsRequired

Response

OK

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error